$fn = 100;

module turntable(height, cut_in_width, tube_radius) {
	// tube
	difference() {
		cylinder(height,tube_radius,tube_radius,0);
		translate([0,0,-1])
			cylinder(height + 2,tube_radius-1,tube_radius-1,0);
	}

	// cut-in for the tube
	intersection() {
		cylinder(height,5,5,0);
		translate([cut_in_width,-15,0])
			cube([10,20,height]);
	}

	// holder
	difference() {
		cylinder(3,25,25,0);
		for(i = [0:120:360])
			rotate([0,0,i])
				translate([22,0,-5])
					cylinder(10,15,15,0);
	}
}

// my own
color("green")
	turntable(50, 2.2, 5.5);
